%global mpich mpich
%global mpich_load %_mpich_load
%global mpich_unload %_mpich_unload

Name:		mrbayes
Version:	3.2.3
Release:	1%{?dist}
Summary:	Bayesian Inference of Phylogeny

# fixme: no source for doc -- don't ship?	
License:	GPLv2+
URL:		http://mrbayes.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/mrbayes/mrbayes/%version/mrbayes-%version.tar.gz

BuildRequires:	gcc-c++ autoconf libhmsbeagle-devel dos2unix
BuildRequires:	openmpi-devel %mpich-devel
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


# text from Debian
%global desc \
Bayesian inference of phylogeny is based upon a quantity called the\
posterior probability distribution of trees, which is the probability\
of a tree conditioned on the observations.  The conditioning is\
accomplished using Bayes's theorem.  The posterior probability\
distribution of trees is impossible to calculate analytically;\
instead, MrBayes uses a simulation technique called Markov chain\
Monte Carlo (or MCMC) to approximate the posterior probabilities\
of trees.

%description
%desc

%package openmpi
Summary:	Bayesian Inference of Phylogeny (openmpi)
Requires:	openmpi

%description openmpi
$desc

This is the openmpi version.

%package %mpich
Summary:	Bayesian Inference of Phylogeny (%mpich)
Requires:	%mpich

%description %mpich
$desc

This is the %mpich version.

%prep
%setup -q -c -n mrbayes_%version
cd src
autoconf

%build
%global _configure ../configure
pushd src
mkdir serial openmpi %mpich

pushd serial
%configure --with-beagle=%_prefix CFLAGS="-I.. -I. $RPM_OPT_FLAGS"
make %{?_smp_mflags} VPATH=..
popd

%_openmpi_load
pushd openmpi
%configure --enable-mpi --with-beagle=/usr CFLAGS="-I.. -I. $RPM_OPT_FLAGS"
make %{?_smp_mflags} VPATH=..
popd
%_openmpi_unload

%mpich_load
pushd %mpich
%configure --enable-mpi --with-beagle=/usr CFLAGS="-I.. -I. $RPM_OPT_FLAGS"
make %{?_smp_mflags} VPATH=..
popd
%mpich_unload
popd				# src


%install
rm -rf $RPM_BUILD_ROOT
install -D src/serial/mb $RPM_BUILD_ROOT/%_bindir/mb

%_openmpi_load
install -D src/openmpi/mb $RPM_BUILD_ROOT$MPI_BIN/mb$MPI_SUFFIX
%_openmpi_unload

%mpich_load
install -D src/%mpich/mb $RPM_BUILD_ROOT$MPI_BIN/mb$MPI_SUFFIX
%mpich_unload

dos2unix src/gpl.txt
dos2unix examples/*.nex
chmod -x examples/sceloporus.nex src/gpl.txt

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
# fixme: no source for doc -- don't ship?	
%doc src/gpl.txt documentation examples
%_bindir/mb

%files openmpi
%defattr(-,root,root,-)
%doc src/gpl.txt documentation examples
%_libdir/openmpi/bin/mb_openmpi

%files %mpich
%defattr(-,root,root,-)
%doc src/gpl.txt documentation examples
%_libdir/%mpich/bin/mb_%mpich


%changelog
* Fri Nov 28 2014 Dave Love <d.love@liverpool.ac.uk> - 3.2.3-1
- New version
- Use -O3

* Fri Nov 15 2013 Dave Love <d.love@liverpool.ac.uk> - 3.2.2-1
- Initial packaging
